Bug 384571 - check_mysql segfaults when checking a MySQL slave that doesn't report `Seconds_Behind_Master'
check_mysql segfaults when checking a MySQL slave that doesn't report `Second...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nagios-plugins (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 08:39 EST by Matt Dainty
Modified: 2010-09-12 03:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:51:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the check_mysql segfault (933 bytes, patch)
2007-11-15 08:39 EST, Matt Dainty
no flags Details | Diff

  None (edit)
Description Matt Dainty 2007-11-15 08:39:54 EST
Description of problem:

Using check_mysql against a MySQL database slave that doesn't report the
`Seconds_Behind_Master' column in SHOW SLAVE STATUS will segfault if the -S
switch is used.

Version-Release number of selected component (if applicable):

nagios-plugins-1.4.8-1

How reproducible:

Always

Steps to Reproduce:
1. /usr/lib{,64}/nagios/plugins/check_mysql -H 1.2.3.4 -u user -S
2.
3.
  
Actual results:
Segfault

Expected results:
Should display the normal MySQL statistics as well as the status of the slave
thread and _optionally_ the seconds behind master, if it exists

Additional info:

I've created and attached a quick patch that fixes the problem for me.
Comment 1 Matt Dainty 2007-11-15 08:39:54 EST
Created attachment 259781 [details]
Patch to fix the check_mysql segfault
Comment 2 Mike McGrath 2008-04-10 11:13:06 EDT
I believe this has already been fixed upstream with 1.4.11.  I'm requesting a
release of it today, let me know if it fixes your issue.  Sorry its taken so long...
Comment 3 Bug Zapper 2008-05-14 11:04:00 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:51:57 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Peter Lemenkov 2010-09-12 03:10:55 EDT
It seems that this bug was fixed actually.

Note You need to log in before you can comment on or make changes to this bug.